## git-hub 0.9.0

=== Makefile ===

prefix ?= /usr/local

export PYTHON := python

version ?= $(shell git describe --dirty 2> /dev/null | cut -b2-)
version := $(if $(version),$(version),devel)

.PHONY: default
default: all

.PHONY: all
all: man bash-completion

.PHONY: deb
deb:
	$(MAKE) prefix=/usr DESTDIR=deb/install install
	deb/build

.PHONY: man
man: git-hub.1

git-hub.1: man.rst git-hub
	sed 's/^:Version: devel$$/:Version: $(version)/' $< | \
		rst2man --exit-status=1 > $@ || ($(RM) $@ && false)

bash-completion: generate-bash-completion git-hub
	./$^ > $@ || ($(RM) $@ && false)

.PHONY: install
install: git-hub git-hub.1 ftdetect.vim bash-completion README.rst
	install -m 755 -D git-hub $(DESTDIR)$(prefix)/bin/git-hub
	sed -i 's/^VERSION = "git-hub devel"$$/VERSION = "git-hub $(version)"/' \
			$(DESTDIR)$(prefix)/bin/git-hub
	sed -i 's|^#!/usr/bin/env python$$|#!/usr/bin/env $(PYTHON)|' \
			$(DESTDIR)$(prefix)/bin/git-hub
	install -m 644 -D git-hub.1 $(DESTDIR)$(prefix)/share/man/man1/git-hub.1
	install -m 644 -D ftdetect.vim \
		$(DESTDIR)$(prefix)/share/vim/addons/ftdetect/githubmsg.vim
	-install -m 644 -D bash-completion $(DESTDIR)/etc/bash_completion.d/git-hub
	install -m 644 -D README.rst $(DESTDIR)$(prefix)/share/doc/git-hub/README.rst

.PHONY: release
release:
	@read -p "Enter version (previous: $$(git describe --abbrev=0)): " version; \
	test -z $$version && exit 1; \
	msg=`echo $$version | sed 's/v/Version /;s/-rc/ Release Candidate /'`; \
	echo ; \
	echo Changelog: ; \
	git log --format='* %s (%h)' `git describe --abbrev=0 HEAD^`..HEAD; \
	echo ; \
	set -x; \
	git tag -a -m "$$msg" $$version

.PHONY: clean
clean:
	$(RM) -r git-hub.1 bash-completion deb/*.deb deb/install

=== debian/changelog ===
git-hub (0.9.0-2) unstable; urgency=medium

  * Import upstream patches pending release:
    - Fix typos
    - man: Remove stray backtick character
    - man: clarify that "pull update/comment/close" require an argument.
    - issue: Fix creating issue without labels (Closes: #798851)
    - Use HTTPS URLs where possible
    - Pass GIT_EDITOR to sh
    - clone: Fix parsing URLs as repository locations
    All thanks to Jakub Wilk.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 29 Sep 2015 17:56:16 +0200

git-hub (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #763345)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 08 Jun 2015 22:30:35 +0200

=== debian/control ===
Source: git-hub
Section: vcs
Priority: optional
Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), python-docutils
Standards-Version: 3.9.6
Homepage: https://github.com/sociomantic/git-hub
Vcs-Git: git://anonscm.debian.org/collab-maint/git-hub.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/git-hub.git;a=summary

Package: git-hub
Architecture: all
Depends: ${misc:Depends}, python, git (>= 1:1.7.7)
Description: Git command line interface to GitHub
 git hub is a simple command line interface to GitHub, enabling most useful
 GitHub tasks (like creating and listing pull request or issues) to be accessed
 directly through the Git command line.
 .
 Although probably the most outstanding feature (and the one that motivated the
 creation of this tool) is the pull rebase command, which is the rebasing
 version of the GitHub Merge (TM) button. This enables an easy workflow that
 doesn't involve thousands of merges which makes the repository history
 unreadable.
 .
 Another unique feature is the ability to transform an issue into a pull
 request by attaching commits to it (this is something offered by the GitHub
 API but not by the web interface).

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
	mv debian/git-hub/etc/bash_completion.d/git-hub debian/git-hub/usr/share/bash-completion/completions/git-hub
	rm -r debian/git-hub/etc

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/git-hub-$1\.tar\.gz/ \
  https://github.com/sociomantic/git-hub/tags .*/v?(\d\S*)\.tar\.gz

## git-hub 0.10

=== debian/changelog ===
git-hub (0.10-1) unstable; urgency=medium

  * New upstream release (0.10).
  * Drop upstream patches.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 23 Feb 2016 18:40:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), python-docutils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/sociomantic/git-hub
-Vcs-Git: git://anonscm.debian.org/collab-maint/git-hub.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/git-hub.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-hub.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/git-hub.git
 
 Package: git-hub
 Architecture: all

## git-hub 0.10.1

=== debian/changelog ===
git-hub (0.10.1-1) unstable; urgency=medium

  * New upstream release (0.10.1).
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 21:21:38 +0200

## git-hub 0.10.2

=== debian/changelog ===
git-hub (0.10.2-2) unstable; urgency=medium

  * Add upstream patches to fix CVE-2016-7793 and CVE-2016-7794:
    Validate-received-URLs-before-cloning.patch
    clone-Use-option-terminator-after-options.patch
    Always-use-config.urltype-inside-git_fetch.patch
    (Closes: 839284)
  * Add upstream patch: issue-Print-URL-for-new-comment.patch
  * Add upstream patch: setup-Clarify-when-local-configuration-is-
    written.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Oct 2016 15:20:19 +0200

git-hub (0.10.2-1) unstable; urgency=medium

  * New upstream release (0.10.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jul 2016 10:23:41 +0200

## git-hub 0.10.3

=== debian/changelog ===
git-hub (0.10.3-1~nd90+1+nd17.04+1+nd17.10+1) artful; urgency=medium

  * Backported for artful.

 -- unamed <unknown>  Tue, 07 Nov 2017 15:53:45 -0500

git-hub (0.10.3-1~nd90+1+nd17.04+1) zesty; urgency=medium

  * Backported for zesty.

 -- unamed <unknown>  Mon, 08 May 2017 04:32:06 -0400

git-hub (0.10.3-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 25 Nov 2016 11:26:36 -0500

git-hub (0.10.3-1) unstable; urgency=medium

  * New upstream release (0.10.3).
    - man: Remove wrong default `issue` sub-command (Closes: 840363)
      Thanks to Dominik George for reporting and Leandro Lucarella for fixing
      it upstream
  * Refresh patches, drop upstream patches included in this release

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 23:50:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: git-hub
 Section: vcs
 Priority: optional
-Maintainer: Maximiliano Curia <maxy@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), python-docutils
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/sociomantic/git-hub
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-hub.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/git-hub.git
 
 Package: git-hub
 Architecture: all
-Depends: ${misc:Depends}, python, git (>= 1:1.7.7)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, python, git (>= 1:1.7.7)
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful
  GitHub tasks (like creating and listing pull request or issues) to be accessed

## git-hub 0.11.0

=== debian/changelog ===
git-hub (0.11.0-1) unstable; urgency=medium

  * New upstream release (0.11.0). (Closes: 846866)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 15:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-hub
 Section: vcs
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
+Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), python-docutils
 Standards-Version: 3.9.8
 Homepage: https://github.com/sociomantic/git-hub
@@ -11,7 +10,7 @@
 
 Package: git-hub
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, python, git (>= 1:1.7.7)
+Depends: ${misc:Depends}, python, git (>= 1:1.7.7)
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful
  GitHub tasks (like creating and listing pull request or issues) to be accessed

## git-hub 0.11.1

=== debian/changelog ===
git-hub (0.11.1-1) sid; urgency=medium

  * New upstream release (0.11.1).
     + Retry if a freshly done fork can't by fetched (Closes: 859590)
       Thanks to Paul Wise for the report and Leandro Lucarella for fixing
       this upstream
  * Bash completion for git-hub (Closes: 864505)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Jul 2017 12:46:42 +0200

## git-hub 1.0.0

=== debian/changelog ===
git-hub (1.0.0-1) sid; urgency=medium

  * New upstream release (1.0.0).
  * Add git as build dep (for the bash completion generation)
  * Bump debhelper build-dep and compat to 11.
  * Bump Standards-Version to 4.1.3.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Jan 2018 16:49:26 -0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: vcs
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 9), python-docutils
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), git, python-docutils
+Standards-Version: 4.1.3
 Homepage: https://github.com/sociomantic/git-hub
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-hub.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/git-hub.git
 
 Package: git-hub
 Architecture: all
-Depends: ${misc:Depends}, python, git (>= 1:1.7.7)
+Depends: git (>= 1:1.7.7), python, ${misc:Depends}
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful
  GitHub tasks (like creating and listing pull request or issues) to be accessed

## git-hub 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
 
 prefix ?= /usr/local
+# fall back to /etc, ignoring prefix
+sysconfdir ?= /etc
 
-export PYTHON := python
+export PYTHON ?= python2
 
 version ?= $(shell git describe --dirty 2> /dev/null | cut -b2-)
 version := $(if $(version),$(version),devel)
+
+install-deps := git-hub git-hub.1 ftdetect.vim bash-completion README.rst
 
 .PHONY: default
 default: all
@@ -13,7 +17,7 @@
 all: man bash-completion
 
 .PHONY: deb
-deb:
+deb: $(install-deps)
 	$(MAKE) prefix=/usr DESTDIR=deb/install install
 	deb/build
 
@@ -28,16 +32,16 @@
 	./$^ > $@ || ($(RM) $@ && false)
 
 .PHONY: install
-install: git-hub git-hub.1 ftdetect.vim bash-completion README.rst
+install: $(install-deps)
 	install -m 755 -D git-hub $(DESTDIR)$(prefix)/bin/git-hub
 	sed -i 's/^VERSION = "git-hub devel"$$/VERSION = "git-hub $(version)"/' \
 			$(DESTDIR)$(prefix)/bin/git-hub
-	sed -i 's|^#!/usr/bin/env python$$|#!/usr/bin/env $(PYTHON)|' \
+	sed -i 's|^#!/usr/bin/env python2$$|#!/usr/bin/env $(PYTHON)|' \
 			$(DESTDIR)$(prefix)/bin/git-hub
 	install -m 644 -D git-hub.1 $(DESTDIR)$(prefix)/share/man/man1/git-hub.1
 	install -m 644 -D ftdetect.vim \
 		$(DESTDIR)$(prefix)/share/vim/addons/ftdetect/githubmsg.vim
-	-install -m 644 -D bash-completion $(DESTDIR)/etc/bash_completion.d/git-hub
+	install -m 644 -D bash-completion $(DESTDIR)$(sysconfdir)/bash_completion.d/git-hub
 	install -m 644 -D README.rst $(DESTDIR)$(prefix)/share/doc/git-hub/README.rst
 
 .PHONY: release

=== debian/changelog ===
git-hub (1.0.1-1) unstable; urgency=medium

  * Update Vcs fields
  * New upstream release (1.0.1).
  * Bump to Standards-Version 4.1.4
  * Update debian/control homepage and debian/copyright source fields
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 27 May 2018 11:50:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 11~), git, python-docutils
-Standards-Version: 4.1.3
-Homepage: https://github.com/sociomantic/git-hub
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-hub.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/git-hub.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/sociomantic-tsunami/git-hub
+Vcs-Browser: https://salsa.debian.org/debian/git-hub
+Vcs-Git: https://salsa.debian.org/debian/git-hub.git
 
 Package: git-hub
 Architecture: all

## git-hub 1.0.3

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 sysconfdir ?= /etc
 
 export PYTHON ?= python2
+RST2MAN ?= rst2man
 
 version ?= $(shell git describe --dirty 2> /dev/null | cut -b2-)
 version := $(if $(version),$(version),devel)
@@ -26,7 +27,7 @@
 
 git-hub.1: man.rst git-hub
 	sed 's/^:Version: devel$$/:Version: $(version)/' $< | \
-		rst2man --exit-status=1 > $@ || ($(RM) $@ && false)
+		$(RST2MAN) --exit-status=1 > $@ || ($(RM) $@ && false)
 
 bash-completion: generate-bash-completion git-hub
 	./$^ > $@ || ($(RM) $@ && false)

=== debian/changelog ===
git-hub (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Maximiliano Curia ]
  * New upstream release. (1.0.3)
  * Add a debian/salsa-ci.yml file
  * Add a basic gbp.conf
  * Set upstream version
  * Release to unstable

  [ Leandro Lucarella ]
  * Add Ubuntu bionic support
  * Pass IDs as integers to GitHub API

  [ Aphosis ]
  * Fixed typo in CloneCmd.

  [ Andreas Bok Andersen ]
  * Fix typo in man.rst
  * Use env variable for rst2man

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 Aug 2019 11:00:16 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+export version ?= $(DEB_UPSTREAM_VERSION)
 
 # DH_VERBOSE = 1

## git-hub 2.1.1

=== debian/changelog ===
git-hub (2.1.1-1) unstable; urgency=medium

  * New upstream release
    + Port to Python3 (Closes: #985539, #943037)
    + Support PR/issue templates (Closes: #909634)
    + Emit a notice when setup stores configuration in the local git config
      (Closes: #799286)
    + Fix instructions for installing Vim ftdetect script (Closes: #925381)
    + Verify base branch exists when creating a PR, providing a useful error
      message if not (Closes: #807862)
  * Switch to python3 packages for (Build-)Depends
  * Add myself to Uploaders
  * Update to debhelper 13 compat, via debhelper-compat Build-Depends
  * Switch from vim-addon-manager to dh-vim-addon
  * Set Rules-Requires-Root: no
  * Declare compliance with Policy 4.6.0

 -- James McCoy <jamessan@debian.org>  Sat, 01 Jan 2022 16:05:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,24 @@
 Section: vcs
 Priority: optional
 Maintainer: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper (>= 11~), git, python-docutils
-Standards-Version: 4.1.4
+Uploaders:
+ James McCoy <jamessan@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-bash-completion,
+ dh-sequence-vim-addon,
+ git,
+ python3-docutils,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/sociomantic-tsunami/git-hub
 Vcs-Browser: https://salsa.debian.org/debian/git-hub
 Vcs-Git: https://salsa.debian.org/debian/git-hub.git
 
 Package: git-hub
 Architecture: all
-Depends: git (>= 1:1.7.7), python, ${misc:Depends}
+Depends: git (>= 1:1.7.7), python3, ${misc:Depends}
+Recommends: vim-git-hub
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful
  GitHub tasks (like creating and listing pull request or issues) to be accessed
@@ -25,3 +34,13 @@
  Another unique feature is the ability to transform an issue into a pull
  request by attaching commits to it (this is something offered by the GitHub
  API but not by the web interface).
+
+Package: vim-git-hub
+Architecture: all
+Depends: ${misc:Depends}, ${vim-addon:Depends}
+Description: Vim runtime files for git-hub
+ git hub is a simple command line interface to GitHub, enabling most useful
+ GitHub tasks (like creating and listing pull request or issues) to be accessed
+ directly through the Git command line.
+ .
+ This package provides the Vim runtime files for git hub's HUB_EDITMSG files.

## git-hub 2.1.2

=== debian/changelog ===
git-hub (2.1.2-1) unstable; urgency=medium

  * New upstream release
  * Use python3:any Depends, per multiarch hinter

 -- James McCoy <jamessan@debian.org>  Mon, 17 Jan 2022 20:40:36 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: git-hub
 Architecture: all
-Depends: git (>= 1:1.7.7), python3, ${misc:Depends}
+Depends: git (>= 1:1.7.7), python3:any, ${misc:Depends}
 Recommends: vim-git-hub
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful

## git-hub 2.1.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # fall back to /etc, ignoring prefix
 sysconfdir ?= /etc
 
-export PYTHON ?= python2
+export PYTHON ?= python3
 RST2MAN ?= rst2man
 
 version ?= $(shell git describe --dirty 2> /dev/null | cut -b2-)
@@ -37,7 +37,7 @@
 	install -m 755 -D git-hub $(DESTDIR)$(prefix)/bin/git-hub
 	sed -i 's/^VERSION = "git-hub devel"$$/VERSION = "git-hub $(version)"/' \
 			$(DESTDIR)$(prefix)/bin/git-hub
-	sed -i 's|^#!/usr/bin/env python2$$|#!/usr/bin/env $(PYTHON)|' \
+	sed -i 's|^#!/usr/bin/env python3$$|#!/usr/bin/env $(PYTHON)|' \
 			$(DESTDIR)$(prefix)/bin/git-hub
 	install -m 644 -D git-hub.1 $(DESTDIR)$(prefix)/share/man/man1/git-hub.1
 	install -m 644 -D ftdetect.vim \

=== debian/changelog ===
git-hub (2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Mark git-hub Multi-Arch: foreign

 -- James McCoy <jamessan@debian.org>  Sun, 30 Jan 2022 15:43:44 -0500

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Architecture: all
 Depends: git (>= 1:1.7.7), python3:any, ${misc:Depends}
 Recommends: vim-git-hub
+Multi-Arch: foreign
 Description: Git command line interface to GitHub
  git hub is a simple command line interface to GitHub, enabling most useful
  GitHub tasks (like creating and listing pull request or issues) to be accessed

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export version ?= $(DEB_UPSTREAM_VERSION)

# DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

# Workaround #960640
override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?/)?v?(\d[\-+\.:\~\da-zA-Z]*)(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, \
     uversionmangle=s/-rc/~rc/" \
  https://github.com/sociomantic-tsunami/@PACKAGE@/tags (?:.*?/)?v?(\d[\-+\.:\~\da-zA-Z]*)\.tar\.gz
